List AuditLog items
List AuditLog items.
This endpoint is paginated. It returns 50 rows by default and accepts a maximum of 100 rows per request. Use pageSize and nextToken to retrieve additional pages.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Set to true to access beta operations via /api/v3.
Query parameters
Restricts results to audit logs matching any of the specified action display names (e.g. ‘Updated name’, ‘Created’). Comma-separated list.
Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created after the specified time. e.g. > 2017-04-30.
Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or after the specified time. e.g. >= 2017-04-30.
Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created before the specified time. e.g. < 2017-04-30.
Datetime, in RFC 3339 format. Time zone defaults to UTC. Restricts results to those created at or before the specified time. e.g. <= 2017-04-30.
Restricts results to those matching any of the specified IDs. Comma-separated list.
Retrieves audit logs for the specified object API IDs. A maximum of 10 IDs can be specified. Comma-separated list.
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Restricts results to audit logs with any of the specified reason codes. Comma-separated list.
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
Restricts results to those associated with any of the specified user API IDs. Comma-separated list.
Method by which to order results. Valid sorts are: createdAt (created time, oldest first). Use :asc or :desc to specify ascending or descending order. Default is createdAt:asc.